{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "statement-public-affairs": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-builders/custom-webpack:browser",
          "options": {
            "customWebpackConfig": {
              "path": "./webpack.config.js"
            },
            "outputPath": "dist/statement-public-affairs",
            "index": "src/index.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.app.json",
            "aot": true,
            "assets": [
              "src/favicon.png",
              {
                "glob": "**/*",
                "input": "./src/assets",
                "output": "/assets",
                "ignore": [
                  "META-INF/*",
                  "WEB-INF/*"
                ]
              },
              {
                "glob": "**/*",
                "input": "./src/assets/META-INF",
                "output": "/META-INF"
              },
              {
                "glob": "**/*",
                "input": "./src/assets/WEB-INF",
                "output": "/WEB-INF"
              },
              {
                "glob": "LICENSE.md",
                "input": ".",
                "output": "/"
              },
              {
                "glob": "NOTICE.md",
                "input": ".",
                "output": "/"
              }
            ],
            "styles": [
              "src/theme/openk.theme.scss"
            ],
            "stylePreprocessorOptions": {
              "includePaths": [
                "src/styles"
              ]
            },
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "statement-public-affairs:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "statement-public-affairs:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "statement-public-affairs:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.spec.json",
            "karmaConfig": "karma.conf.js",
            "assets": [
              "src/favicon.png",
              "src/assets"
            ],
            "styles": [
              "src/theme/openk.theme.scss"
            ],
            "stylePreprocessorOptions": {
              "includePaths": [
                "src/styles"
              ]
            },
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "tsconfig.app.json",
              "tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "statement-public-affairs:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "statement-public-affairs:serve:production"
            }
          }
        }
      }
    }
  },
  "schematics": {
    "@schematics/angular:component": {
      "style": "scss",
      "lintFix": true
    },
    "@schematics/angular:directive": {
      "prefix": "app",
      "lintFix": true
    },
    "@schematics/angular:pipe": {
      "lintFix": true
    },
    "@schematics/angular:class": {
      "lintFix": true
    },
    "@schematics/angular:module": {
      "lintFix": true
    },
    "@schematics/angular:service": {
      "lintFix": true
    }
  },
  "cli": {
    "analytics": false
  }
}
